
echo "********************  WARNING  ********************"
echo "This script is about to delete all network config?"
echo -n "Are you sure? [y/n] "; read answer

if [ x"$answer" != "xy" ] && [ x"$answer" != "xY" ]
then
	exit
fi

###################################
# Clean up
###################################
rm -rf /etc/sysconfig/networking/devices/ifcfg-eth0
rm -rf /etc/sysconfig/networking/profiles/default/hosts
rm -rf /etc/sysconfig/networking/profiles/default/ifcfg-eth0
rm -rf /etc/sysconfig/networking/profiles/default/network
rm -rf /etc/sysconfig/networking/profiles/default/resolv.conf
rm -rf /etc/sysconfig/network-scripts/ifcfg-eth0


# remove 2 lines to remove trace for eth0
sed -i "s/# PCI device.*//" /etc/udev/rules.d/70-persistent-net.rules
sed -i "s/SUBSYSTEM==.*//" /etc/udev/rules.d/70-persistent-net.rules

rm -rf /etc/resolv.conf
touch /etc/resolv.conf

rm -rf /etc/hosts
echo 127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4  > /etc/hosts
echo ::1         localhost localhost.localdomain localhost6 localhost6.localdomain6 >> /etc/hosts

rm -rf /etc/sysconfig/network
echo NETWORKING=yes > /etc/sysconfig/network
echo HOSTNAME=localhost >> /etc/sysconfig/network

rm /root/.setupran

rm -rf /root/tmp

###################################
# Reboot
###################################
echo
echo "Network config clean completed."
echo -n "Reboot now to have everything take effect? [y/n] "; read answer

if [ x"$answer" = "xy" ] || [ x"$answer" = "xY" ]
then
	shutdown -r now
fi
